Subject: Re: c++ and -mno-cygwin
From: [email-masked] (Mark Fitzgerald)

23 Dec 1998 16:58:18 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Serguei DACHIAN <[email-masked]>
Cc: [email-masked]

> Hi everybody.
> 
> Trying to compiling the simplest c++ program "Hello world"
>  > #include <iostream.h>
>  >
>  > int main ()
>  > {
>  >    cout << "Hello world." << endl;
>  >    return 0;
>  > }
> with the flag "-mno-cygwin" (just lile "g++ -mno-cygwin hello.cpp") fails
> with lots of undefined references in "libstdc++.a".  Apparently it is
> impossible to use this flag with g++/c++, but only with gcc.  Is it a bug or
> an intention??? Is there any workarround [ except rewriting the program in C
> :-))) ].
> 
> Thanks in advance for any help.
> 
> Serguei.

I use -mno-cygwin successfully with g++.  I believe just adding '-lstdc++'
will at least partially solve your problem.  This is untested advice,
however, as I am not at my home PC (welcome to xmas).

Mark Fitz

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".